Subject: [Secdispatch] TLSTM Update Draft

From: Kenneth Vaughn <[email-masked]>
Date: Mon, 29 Mar 2021 15:58:57 -0500

Hello,

I would like to present https://datatracker.ietf.org/doc/draft-vaughn-tlstm-update/ <https://datatracker.ietf.org/doc/draft-vaughn-tlstm-update/> 

This document is a proposal to update to RFC 6353 (TLS Transport Model for SNMP) to reflect the needs of TLS 1.3. 

As a little bit of background, SNMP is widely used within Intelligent Transportation Systems (ITS) to monitor, manage and control field devices, as defined in the National Transportation Communication for ITS Protocols (NTCIP) standards, ISO standards, and specifications in the United Kingdom. As you may know, CISA has declared the transportation infrastructure to be “critical infrastructure”, and the ITS community is very interested in ensuring that this infrastructure is adequately protected, especially as these systems are increasingly relied upon by modern connected vehicles. 

RFC 6353 defines how to use (D)TLS 1.2 authentication to control data access within SNMP. Unfortunately, its design is not entirely compatible with TLS 1.3. As such, the ITS community is interested in producing an update to RFC 6353 and believes it would be in everyone's best interests to produce this document as an IETF publication, assuming that its development can proceed in a timely manner. 

In an effort to promote further discussion on this topic, the NTCIP and ISO communities have requested that I reach out to the IETF to initiate a conversation on this topic and I have been informed that this email list is the appropriate location to start such discussions. There is also a presentation available at https://trevilon.com/download/RFC6353Proposal.pptx <https://trevilon.com/download/RFC6353Proposal.pptx> that explains the motivation behind this update proposal. 

Many thanks for your considerations and I look forward to our future discussions. Please let me know if you have any questions.

Regards,
Ken Vaughn
Trevilon LLC